Subject: Has Canada become more lenient towards immigration?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Sat, 15 May 2021 11:26:13 +0000

Algaily's Digest
Your Quora Digest

-----

Question: Has Canada become more lenient towards immigration?

Answer from Carlos Cueva

If you are not born in India, China, Mexico, Philippines, and a bunch of other countries with immigration backlogs in the US, it’s actually easier to get a green card in the U
Read More: http://www.quora.com/Has-Canada-become-more-lenient-towards-immigration?top_ans=84403169
-----
Question: I resigned from my long-term job and requested to be a casual employee. My boss put the resignation and didn’t allow me to be casual. Would this be an unfair dismissal?

Answer from Andrew Crawford

No, of course not. You resigned, so there is no dismissal - unfair or otherwise.

Even if you had not resigned, you have no entitlement to casual employment. You made an offer
Read More: http://www.quora.com/I-resigned-from-my-long-term-job-and-requested-to-be-a-casual-employee-My-boss-put-the-resignation-and-didn-t-allow-me-to-be-casual-Would-this-be-an-unfair-dismissal?top_ans=253753495
-----
Question: I was denied a US visa two years ago. Should I answer Yes in "Have you ever been refused a US visa?" Ds 160?

Answer from Kelly Kinkade

No US visa application is ever “denied”. US visa application are either “approved” or “refused”. “Denied” is not a term that the Consular Service uses with respect to visa app
Read More: http://www.quora.com/I-was-denied-a-US-visa-two-years-ago-Should-I-answer-Yes-in-Have-you-ever-been-refused-a-US-visa-Ds-160?top_ans=277935237
-----
Question: Why do Arabs wash their feet?

Answer from Gia Daniel

Because like other body parts, feet get dirty.

If you are asking why do Arab Muslims wash their feet during the course of the day, it is because they, like other Muslims, per
Read More: http://www.quora.com/Why-do-Arabs-wash-their-feet?top_ans=250833771
-----
Question: I handed in my resignation last week and I was expecting my boss to congratulate me and discuss on how we start things with the handover. All she did was slam the phone and not speak to me. Now all the employees are ignoring me too. What do I do?

Answer from Sany Eslava

I think you made the right decision of leaving your toxic colleagues. I had the same experience when I resigned from my job. My boss (who is a consultant) couldn’t conceal her
Read More: http://www.quora.com/I-handed-in-my-resignation-last-week-and-I-was-expecting-my-boss-to-congratulate-me-and-discuss-on-how-we-start-things-with-the-handover-All-she-did-was-slam-the-phone-and-not-speak-to-me-Now-all-the-employees-are?top_ans=252188148
-----
Question: What countries are the enemies of India in the Middle East?

Answer from Paramvir Singh Chohan

Some countries in middle East did showed signs of enimity with India. For example many of countries helped Pakistan during it's wars with India. Along with that some of countr
Read More: http://www.quora.com/What-countries-are-the-enemies-of-India-in-the-Middle-East?top_ans=98881282
-----
Question: Will you leave Hong Kong for the National Security Law and how many HK people do you think will eventually leave HK?

Answer from Sing Lau

No. I actually intend to move into mainland China. Hong Kong is just too small, too expensive. I love to drive around in a big country, love to see Tibet, xinjiang, Mongolia b
Read More: http://www.quora.com/Will-you-leave-Hong-Kong-for-the-National-Security-Law-and-how-many-HK-people-do-you-think-will-eventually-leave-HK?top_ans=225785993
-----
Question: I have an employee who always does everything faster than everyone else on the team and spends most of the day playing video games and not helping his coworkers. Do I fire him?

Answer from Sharon Cohen

Is he finishing his work early and just sitting there playing? He shouldn't have to help co -workers if he finishes his work. You should fire the other ones for being slow and
Read More: http://www.quora.com/I-have-an-employee-who-always-does-everything-faster-than-everyone-else-on-the-team-and-spends-most-of-the-day-playing-video-games-and-not-helping-his-coworkers-Do-I-fire-him?top_ans=229508872
-----
Question: Are Indians getting paid enough salary in 2021?

Answer from Yashika Sharma

I feel so disheartened to see these kinds of job posting.

As you can see,
they want to hire an experienced developer and pay them a peanut amount of salary.

And there are so
Read More: http://www.quora.com/Are-Indians-getting-paid-enough-salary-in-2021?top_ans=272409563
-----
Question: If USCIS approves a petition (say, H-1B), why is a visa interview needed? What does a consular officer judge that USCIS does not?

Answer from Kathryn Berck

“If USCIS approves a petition (say, H-1B), why is a visa interview needed? What does a consular officer judge that USCIS does not?”

While USCIS sees the petition and all the 
Read More: http://www.quora.com/If-USCIS-approves-a-petition-say-H-1B-why-is-a-visa-interview-needed-What-does-a-consular-officer-judge-that-USCIS-does-not?top_ans=278652031
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&et=2&id=9d0a2b69ab704650bd57927cfe99ed5d&uid=oaI5nJBvtz4

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=9d0a2b69ab704650bd57927cfe99ed5d&t=1621077973024867&token=0508943a87bf0f64504f020e303b8729edb213e6e8347876b325f8f1cfc38ddf05610a551fa08fd7d604337dc37dfe2b9ef8179f81f6f54264c19718d8af6b8e&type=2&uid=1229773278